Using a PC Card

Your computer has two PC Card slots, an upper one and a lower one. They support the following cards:

Physical characteristics:

  • Type I, II, or III

Electrical characteristics:

  • 16-bit PC Card

  • CardBus Card

Note: The slots do not support the Zoomed Video (ZV) Card.

For more information on PC Cards, click any of the following topics:

Learning about cards

Installing a card

Removing the card

Getting card software support


Learning about cards

A PC Card enables you to send and receive faxes, communicate through a network, store data, and use other functions. PC Cards can be distinguished by their functions:

  • Storage cards

  • Modem cards

  • Network cards

  • SCSI cards

  • Other PC Cards

A PC Card is also distinguished by the interface that supports it. Before you use a PC Card, you need to make sure that your computer supports it. Your computer's PC Card slots can accommodate the following:

  • 16-bit PC Card

  • CardBus Card

Storage cards

An Advanced Technology Attach (ATA) card functions as a hard disk with the Integrated Drive Electronics (IDE) interface. You can transfer data between devices by inserting a card in a PC Card slot just as you would insert a diskette in a diskette drive. There are two types of ATA cards:

  • The ATA hard disk card has a large capacity; you can use the card as you would use an external hard disk.

  • The ATA Flash disk card acts as a memory card; you can use the card to back up your data.

A memory card is used to read or write moderate amounts of data. There are three types of memory cards:

  • A static-random-access-memory (SRAM) card backs up computer memory. The card has its own battery.

  • A read-only-memory (ROM) card is used for reading data only.

  • A Flash memory card is a writable and readable card. No battery is needed.

Modem cards

A fax modem card is used for communication through a telephone line; ac power is not needed. You can use this card to access the PC network or the Internet, or to send a fax.

Network cards

A LAN/Network card physically connects PCs in a LAN or network. The following LAN/network cards are available:

  • An Ethernet card

  • A TokenRing card

  • An IBM 3270 card

  • An IBM 5250 card

An integrated services digital network (ISDN) card is used to connect your computer to the ISDN network.

SCSI cards

A small computer system interface (SCSI) card connects a SCSI device to your computer. For example, it enables you to use a SCSI disk drive that cannot fit in a small notebook PC.

Other PC Cards

A sound card enables your computer to play music and other sounds. It typically has an audio and a MIDI in/out connector.

A video capture card captures signals from video devices, enabling you to use the data in your computer.

There are also multi-function PC Cards, such as the Combo Card and the Multi-Function Card.

16-bit PC Cards

Most PC Cards are 16-bit PC Cards (PCMCIA 2.0 or 2.1), whose performance complies with Industry Standard Architecture (ISA).

CardBus Cards

The CardBus Card is connected as a PCI device and provides higher performance than the 16-bit PC Card.


Installing a card

Attention: Do not insert a PC Card while the computer is in standby mode or hibernation mode. If you do, the computer will not respond when you try to resume using it.

To install a PC Card, do the following:

  1. Find the notched edge of the PC Card.
  2. Insert the PC Card into the slot appropriate for it.

  • If you are using a Type I or Type II PC Card, insert it into either the upper slot or the lower slot.

  • If you are using a Type III PC Card, insert it into the lower slot.

    The slots have a cover. To insert a PC Card, just push the cover.
    Press the PC Card firmly into the connector.

For Windows (R)(R) 95 (OSR2) and Windows 98: If you have not installed the PC Card driver, Windows starts to install it.

For Windows 2000 and Windows XP: If a PC Card is not Plug and Play, you might have to use the Add/Remove Hardware wizard. Double-click the Add/Remove Hardware icon in Control Panel.


Removing the card

Attention: Before removing a storage PC Card, such as a hard disk PC Card, a Flash memory PC Card, or a SRAM PC Card, from a PC Card slot, you must stop the PC Card. Otherwise, data on the PC Card might be corrupted or lost.

Attention: Do not remove a PC Card while the computer is in standby mode or hibernation mode. If you do, the system will not respond when you try to resume operation.

To stop the card, do the following:

You can stop the PC Card with the PC Card support software and remove it, without turning off the computer.

  • For Windows(R) 95 and Windows 98 users: Click the PC Card icon in the task bar, and then stop the PC Card.

  • For Windows 2000 users: Click Unplug or Eject Hardware icon in the task bar, and then stop the PC Card.

  • For Windows XP users: Click the Safely Remove Hardware icon in the task bar, and then stop the PC Card.

To remove the card, do the following:

  1. Press the PC Card eject button to pop out the button.
  2. Then press it again until the PC Card pops out.
  3. Remove the PC Card and store it safely for future use.


Getting card software support

The ThinkPad(R) PC Card support software enables you to use a PC Card as soon as you insert it into the ThinkPad computer.

Each operating system needs its own ThinkPad PC Card support software, as follows:

  • Windows(R) 98, Windows 2000, or Windows XP: No extra software is needed; the PC Card support function is included in the operating system.

  • Windows 95 (OSR2): No extra software is needed; the PC Card support function is included in the operating system.

  • Windows NT(R) 4.0: To use PC Cards with Windows NT, you need a software application that enables the Windows NT operating system to use and manage the cards. CardWizard for Windows NT from SystemSoft is one such application. IBM has tested CardWizard for Windows NT with Windows NT with satisfactory results. You can contact SystemSoft to learn more about CardWizard for Windows NT at this Web address: http://www.systemsoft.com.

Note: If you are using Windows 95, the PC Card support software is supported by OEM Service Release Version 2 (OSR2) or a later version.

When you insert the PC Card into your ThinkPad computer:

  • The PC Card support software detects the card, reads the information about it, and searches for the device driver needed.

  • The device driver requests the PC Card support software to allocate such system resources as memory space, an I/O port, and an IRQ. If these resources are available, the support software recognizes the PC Card, and you can use it.

    If there is a resource conflict, you need to:

    Either:

    • Change the resource assignment: You can allocate the available resources by using the operating system or the PC Card support software function.

    Or:

    • Change the system configuration: You can change the system configuration with your operating system or with the ThinkPad Configuration Program.

Note: If you cannot set up the PC Card with PC Card support software, the device driver may be the PC Card point enabler; if it is, you cannot use the PC Card with ThinkPad PC Card support software. Check with the card vendor.

Power management

Depending on the function of the PC Card, changing the power mode might cause your ThinkPad computer not to respond. PC Card support software prevents this occurrence through special handling during transition between power states.